/*
 * vmware-run.c
 *
 * Copyright (c) 2003 Marius Aamodt Eriksen <marius@monkey.org>
 *
 * $Id: vmware-run.c,v 1.2.2.1 2003/08/08 20:42:51 marius Exp $
 */

#include <fcntl.h>
#include <err.h>
#include <unistd.h>

int
main(int argc, char **argv)
{
	int fd;

	argv[0] = "/usr/local/bin/vmware";

	fd = open("/dev/vmmon", O_RDWR, 0);
	if (fd == -1)
		err(1, "open()");

	execvp(argv[0], argv);
	err(1, "execvp");
	/* NOTREACHED */  
	/* ... but make gcc happy */

	return (1);
}
